#
# scpkt2.rb
#
# $Id: scpkt2.rb,v 1.1 2000/11/21 03:02:06 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i

DCL::sglset('L2TO3', true)
DCL::sgiset('IFONT', 2)

DCL::sgopn iws

x0 = -3
dx = 0.3
for i in 1..20
  DCL::sgfrm
  DCL::sgswnd(0.0, 1.0, 0.0, 1.0)
  DCL::sgsvpt(0.0, 1.0, 0.0, 1.0)
  DCL::sgstrn(1)
  DCL::sgstrf

  x = x0 + dx*i
  DCL::sgrset('XEYE3', x)
  DCL::scsprj

  DCL::slpvpr(1)
  DCL::sgtxzv(0.5, 0.5, 'DENNOU', 0.1, 0, 0, 3)
end

DCL::sgcls

